\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=2cm,y=2cm]
\clip(2.25,0.75) rectangle (4.75,2.75);
\fill[line width=1.5pt,color=A2,fill=A2] (3,1) -- (4,1) -- (4.3090169943749475,1.9510565162951532) -- (3.5,2.5388417685876266) -- (2.6909830056250525,1.9510565162951536) -- cycle;
\draw [line width=1.5pt] (3,1)-- (4,1);
\draw [line width=1.5pt] (4,1)-- (4.3,1.95);
\draw [line width=1.5pt] (4.3,1.95)-- (3.5,2.54);
\draw [line width=1.5pt] (3.5,2.54)-- (2.7,1.95);
\draw [line width=1.5pt] (2.7,1.95)-- (3,1);
\draw [line width=1.5pt] (3.5,1.69)-- (3,1);
\draw [line width=1.5pt] (3.5,1.69)-- (4,1);
\draw [line width=1.5pt] (3.5,1.69)-- (4.31,1.95);
\draw [line width=1.5pt] (3.5,1.69)-- (3.5,2.54);
\draw [line width=1.5pt] (3.5,1.69)-- (2.7,1.95);
\draw[color=black] (2.8,1.12) node {$D$};
\draw[color=black] (4.2,1.1) node {$C$};
\draw[color=black] (4.32,2.11) node {$B$};
\draw[color=black] (3.55,2.67) node {$A$};
\draw[color=black] (2.67,2.11) node {$E$};
\draw[color=black] (3.6,1.82) node {$O$};
\end{tikzpicture}
\end{document}